Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator
Class Msg

    java.lang.Object
      |
      +--org.apache.commons.validator.Msg

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class Msg
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

An alternative message can be associated with a `Field` and a pluggable validator instead of using the default message stored in the `ValidatorAction` (aka pluggable validator). Instances of this class are configured with a <msg> xml element.

Version:
  $Revision: 478334 $ $Date: 2006-11-22 21:31:54 +0000 (Wed, 22 Nov 2006) $
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `bundle` The resource bundle name that this Msg's `key` should be resolved in (optional).
`protected java.lang.String` | `key` The key or value of the argument.
`protected java.lang.String` | `name` The name dependency that this argument goes with (optional).
`protected boolean` | `resource` Whether or not the key is a message resource (optional).

Constructor Summary
`Msg()`

Method Summary
`java.lang.Object` | `clone()` Creates and returns a copy of this object.
`java.lang.String` | `getBundle()` Returns the resource bundle name.
`java.lang.String` | `getKey()` Gets the key/value.
`java.lang.String` | `getName()` Gets the name of the dependency.
`boolean` | `isResource()` Tests whether or not the key is a resource key or literal value.
`void` | `setBundle(java.lang.String bundle)` Sets the resource bundle name.
`void` | `setKey(java.lang.String key)` Sets the key/value.
`void` | `setName(java.lang.String name)` Sets the name of the dependency.
`void` | `setResource(boolean resource)` Sets whether or not the key is a resource.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bundle

    protected java.lang.String bundle

  The resource bundle name that this Msg's `key` should be resolved in (optional).
  Since:
    Validator 1.1

### key

    protected java.lang.String key

  The key or value of the argument.

### name

    protected java.lang.String name

  The name dependency that this argument goes with (optional).

### resource

    protected boolean resource

  Whether or not the key is a message resource (optional). Defaults to true. If it is 'true', the value will try to be resolved as a message resource.
  Since:
    Validator 1.1.4

Constructor Detail

### Msg

    public Msg()

Method Detail

### getBundle

    public java.lang.String getBundle()

  Returns the resource bundle name.
  Returns:
    The bundle name.
  Since:
    Validator 1.1

### setBundle

    public void setBundle(java.lang.String bundle)

  Sets the resource bundle name.
  Parameters:
    `bundle` - The new bundle name.
  Since:
    Validator 1.1

### getName

    public java.lang.String getName()

  Gets the name of the dependency.
  Returns:
    The dependency name.

### setName

    public void setName(java.lang.String name)

  Sets the name of the dependency.
  Parameters:
    `name` - The dependency name.

### getKey

    public java.lang.String getKey()

  Gets the key/value.
  Returns:
    The message key/value.

### setKey

    public void setKey(java.lang.String key)

  Sets the key/value.
  Parameters:
    `key` - The message key/value.

### isResource

    public boolean isResource()

  Tests whether or not the key is a resource key or literal value.
  Returns:
    `true` if key is a resource key.
  Since:
    Validator 1.1.4

### setResource

    public void setResource(boolean resource)

  Sets whether or not the key is a resource.
  Parameters:
    `resource` - If true indicates the key is a resource.
  Since:
    Validator 1.1.4

### clone

    public java.lang.Object clone()

  Creates and returns a copy of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A copy of the Msg.

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Msg String representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.